Upstash Documentation

Get a DLQ message

Get a specific message from the DLQ
1 min read
get/v2/dlq/{dlqId}
Request example
Response
get/v2/dlq/{dlqId}

Authorization

Authorizationstringheaderrequired#
QStash authentication token

1 alternative authorization method available — see the spec for details.

Path parameters

dlqIdstringrequired#
The DLQ ID of the message you want to retrieve.

Responses

application/json
DLQ message details
messageIdstring#
Unique identifier for the message
urlstring#
The URL to which the message should be delivered.
topicNamestring#
The URL Group (a.k.a. topic) name if this message was sent to a URL Group.
endpointNamestring#
The endpoint name of the message if the endpoint is given a name within the URL group.
methodstring#
The HTTP method to use for the message.
headerobject#
The HTTP headers sent to your API.
Show child attributes
{key}string[]#
bodystring#
The body of the message if it is composed of utf8 chars only, empty otherwise.
bodyBase64string#
The base64 encoded body if the body contains a non-utf8 char only, empty otherwise.
maxRetriesinteger#
The number of retries that should be attempted in case of delivery failure.
notBeforeinteger#
The unix timestamp in milliseconds before which the message should not be delivered.
createdAtinteger#
The unix timestamp in milliseconds when the message was created.
callbackstring#
The url where we send a callback each time the message is attempted to be delivered.
failureCallbackstring#
The url where we send a callback to after the message is failed
queueNamestring#
The name of the queue if the message is enqueued to a queue.
scheduleIdstring#
The scheduleId of the message if the message is triggered by a schedule
callerIPstring#
IP address of the publisher of this message.
labelstringdeprecated#
The label of the message assigned by the user. Deprecated in favor of labels.
labelsstring[]#
The list of labels assigned to the message by the user.
flowControlKeystring#
The flow control key used for rate limiting.
rateinteger#
The rate value used for flow control.
periodinteger#
The period value used for flow control.
parallelisminteger#
The parallelism value used for flow control.
responseStatusinteger#
The HTTP status code received from the destination API.
responseHeaderobject#
The HTTP response headers received from the destination API.
Show child attributes
{key}string[]#
responseBodystring#
The body of the response if it is composed of utf8 chars only, empty otherwise.
responseBodyBase64string#
The base64 encoded body of the response if the body contains a non-utf8 char only, empty otherwise.